#version 420

layout (location = 0) in vec4 Position;
uniform mat4 ModelViewMatrix;

out vData {
	float TTL1;
	vec4 pos;
	// additional vertex data goes here
} vertex;

void main() {
	// gl_InstanceID um auf vbo zuzugreifen?? wie macht man vbo?
	vertex.pos = Position;
	vertex.TTL1 = Position.w;
	gl_Position = ModelViewMatrix * vec4(Position.xyz, 1.0f);
}
